# Performance Resources

## Performance Recommendations
* [Tensor Core Performance Guide](https://developer.download.nvidia.com/video/gputechconf/gtc/2019/presentation/s9926-tensor-core-performance-the-ultimate-guide.pdf)
  * Arithmetic intensity
  * Tensor Core (TC) refresher
  * TC alignment requirements, tile quantization, wave quantization
* [2-mins video on TensorCore Performance Guidance](https://youtu.be/i8-Jw48Cp8w)
* [DL Performance Documentation](https://docs.nvidia.com/deeplearning/performance/index.html): recommendations that apply to most deep learning operations.
* [Tips for Optimizing GPU Performance Using Tensor Cores](https://developer.nvidia.com/blog/optimizing-gpu-performance-tensor-cores/)

## Device Capabilities

* [GPU Compute Capability](https://developer.nvidia.com/cuda-gpus): Lists the SM version of various NVIDIA devices.
* [Supported Precisions](https://docs.nvidia.com/deeplearning/tensorrt/support-matrix/index.html#hardware-precision-matrix):
Contains a table listing which precision modes various NVIDIA devices support.

